@charset "UTF-8";

/* 検索パネルCSS　調整 */
/*---------------------------------------------*/

.directin-sp-form {
	padding-top: 0;
}

.r-panel .directin-sp-form {
	display: block;
}

.r-panel_top .directin-sp-form > div {
	margin-top: 0;
}

/* 宿泊日・日程未定・人数・部屋数 */
.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="false"],
.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="true"] {
    color: #47591e;
	font-size: 0.875em;
	opacity: 1;
	border: 1px solid;
}

.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="false"],
.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="true"] {
	width: 230px;
	background-size: 18px;
}

.r-panel .directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="false"],
.r-panel .directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="true"] {
	width: 200px;
	padding-left: 32px;
	background-size: 16px;
}

.r-panel .directin-sp-form .directin-sp-form-input-group.directin-sp-form-date-input-group {
	display: block;
}


.r-panel_top .directin-sp-form .directin-sp-form-date-input-group 
.directin-sp-form-date-input label {
	display: flex;
	align-items: center;
	gap: 10px;
}

.directin-sp-form .directin-sp-form-input label .directin-sp-form-label,
.directin-sp-form .directin-sp-form-input label .directin-sp-form-checkbox-label,
.directin-sp-form .directin-sp-form-guest-room-input-group .directin-sp-form-guest-room-separator {
	color: #47591e;
	font-size: 0.875em;
}

.r-panel .directin-sp-form .directin-sp-form-input label .directin-sp-form-label,
.r-panel .directin-sp-form .directin-sp-form-input label .directin-sp-form-checkbox-label,
.r-panel .directin-sp-form .directin-sp-form-guest-room-input-group .directin-sp-form-guest-room-separator {
	color: #fff;
}

.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-nodate-checkbox {
	padding-bottom: 4px;
	margin-bottom: -10px;
}

.r-panel_top .directin-sp-form .directin-sp-form-guest-room-input-group div.directin-sp-form-input label {
	display: flex;
	align-items: center;
	gap: 10px;
}

.directin-sp-form .directin-sp-form-input label select {
	padding: 5px 4px 5px 8px;
	color: #47591e;
	font-size: 0.875em;
	border: 1px solid;
}

/* 検索ボタンの文字色と背景色 */
.directin-sp-form .directin-sp-form-submit-button button {
	padding: 4px 40px;
    color: #47591e;
	letter-spacing: 0.05em;
	font-family: 游明朝  Demibold,"Yu Mincho",YuMincho,"Hiragino Mincho ProN",HGS明朝E,Georgia,メイリオ,Meiryo,serif;
    background-color: #fff;
	border: 1px solid;
	border-radius: 2px;
}

.directin-sp-form .directin-sp-form-submit-button button:before {
	content: 'プランを';
}

.r-panel .directin-sp-form {
	padding: 8px 0 12px;
}

.r-panel .directin-sp-form .directin-sp-form-submit-button {
	width: 96%;
	margin: 8px 2% 0;
}
 
/* 宿泊日カレンダーの選択済日付の文字色と背景色 */
.flatpickr-day.selected,
.flatpickr-day.startRange,
.flatpickr-day.endRange,
.flatpickr-day.selected.inRange,
.flatpickr-day.startRange.inRange,
.flatpickr-day.endRange.inRange,ｓ
.flatpickr-day.selected:focus,
.flatpickr-day.startRange:focus,
.flatpickr-day.endRange:focus,
.flatpickr-day.selected:hover,
.flatpickr-day.startRange:hover,
.flatpickr-day.endRange:hover,
.flatpickr-day.selected.prevMonthDay,
.flatpickr-day.startRange.prevMonthDay,
.flatpickr-day.endRange.prevMonthDay,
.flatpickr-day.selected.nextMonthDay,
.flatpickr-day.startRange.nextMonthDay,
.flatpickr-day.endRange.nextMonthDay {
        color: #ffffff;
        background: #47591e;
        border-color: #47591e;
}
.flatpickr-day.selected.startRange + .endRange:not(:nth-child(7n+1)),
.flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n+1)),xxxxxx
.flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n+1)) {
-webkit-box-shadow: -10px 0 0 #47591e;
        box-shadow: -10px 0 0 #47591e;
}
 

/* その他調整 */
.r-panel_top ul#search {
	align-items: center;
}

.r-panel_top ul#search li {
	margin: 0;
}

.r-panel_top ul#search li.btn {
	margin-top: -2px;
}

.r-panel_top ul#search li.btn a {
	width: 180px;
	padding: 4px 5px;
}

.r-panel_top ul#procedure li:nth-child(3) {
	margin-right: 15px;
	margin-left: 5px;
}

.r-panel_top ul#procedure li {
	color: #fff;
}

.r-panel p.list-btn a {
	display: block;
	font-family: 游明朝 Demibold,"Yu Mincho",YuMincho,"Hiragino Mincho ProN",HGS明朝E,Georgia,メイリオ,Meiryo,serif;
	width: 96%;
	margin: 0 2% 10px;
	padding: 5px;
	box-sizing: border-box;
	color: #ffffff;
	text-align: center;
	text-decoration: none;
	background: none;
	border: 1px solid #ffffff;
}

.r-panel ul li.search p.procedure {
	display: block;
	width: 97%;
	margin: 10px 3% 15px;
	line-height: 2;
}

.r-panel_top p.note,
.r-panel p.note {
	color: #fff;
	border-top: 1px dashed;
}

.r-panel_top p.note,
.r-panel p.note {
	font-size: 0.875em;
}

.r-panel_top p.note {
	margin: -5px 20px 15px;
	padding-top: 10px;
}

.r-panel p.note {
	margin: 0 10px 5px;
	padding-top: 15px;
}

.r-panel_top p.note a,
.r-panel p.note a {
	color: #fff;
	font-size: 0.973em;
	text-decoration: underline;
}

/*// レスポンシブ調整 //*/
@media screen and (max-width: 959px) {
	.directin-sp-form div {
		margin-bottom: 8px;
	}

	.directin-sp-form .directin-sp-form-submit-button {
		max-width: 340px;
	}

	.directin-sp-form .directin-sp-form-submit-button button {
		padding: 8px 40px; 
	}

	.r-panel_top p.note {
		margin-left: 30px;
	}
}

@media screen and (max-width: 750px) {
	.r-panel_top ul#procedure {
		margin-bottom: -10px;
		overflow: hidden;
	}

	.r-panel_top ul#procedure li:nth-child(2):after {
		content: '';
		display: block;
		width: 500px;
	}
	
	.r-panel_top ul#procedure li:nth-child(3) {
		margin-left: 0;
	}
}

@media screen and (max-width: 599px) {

	.r-panel_top ul#search {
		padding: 5px 20px 5px 5px;
		box-sizing: border-box;
	}

	.r-panel_top .search-panel {
		margin-left: 5%;
	}

	.directin-sp-form {
		margin: 30px auto 20px;
	}

	.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input label,
	.directin-sp-form .directin-sp-form-guest-room-input-group div.directin-sp-form-input label {
		display: block;
	}

	.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="false"],
	.directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="true"] {
		width: calc(100% - 20px);
	}

	.r-panel .directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="false"],
	.r-panel .directin-sp-form .directin-sp-form-date-input-group .directin-sp-form-date-input input[type="text"][data-disabled="true"] {
		width: auto;
		min-width: 220px;
	}

	.directin-sp-form .directin-sp-form-input-group .directin-sp-form-input label .directin-sp-form-checkbox-label {
		font-size: 0.875em;
	}

	.r-panel_top .directin-sp-form .directin-sp-form-input-group {
		margin: -10px 0 8px;
	}

	.r-panel .directin-sp-form .directin-sp-form-input-group {
		margin: -10px 2% 8px;
	}


	.directin-sp-form .directin-sp-form-submit-button {
		max-width: 100%;
		margin-top: 16px;
	}

	.r-panel_top ul#procedure {
		margin-bottom: 15px;
	}

	.r-panel_top ul#procedure li {
		float: none;
		margin-bottom: 8px;
	}

	.r-panel_top ul#procedure li:nth-child(3) a.fc:before {
		content: '\A　';
		white-space: pre;
	}

	.r-panel_top ul#search li.btn a {
		width: 70%;
		padding: 8px 40px;
	}

	.r-panel_top p.note {
		margin-bottom: 30px;
		padding-top: 15px;
	}

	#reservation .r-panel ul {
        top: -680px;
	}
	
	.open-reservation {
		-moz-transform: translateY(740px);
		-webkit-transform: translateY(740px);
		transform: translateY(740px);
	}
}
